Package fr.gouv.vitam.functionaltest.cucumber.step

# Class SecurityProfileStep

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.CommonStep
fr.gouv.vitam.functionaltest.cucumber.step.SecurityProfileStep

public class SecurityProfileStep extends CommonStep
Security Profile Step

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `CommonStep.MyRunnable`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `world`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SecurityProfileStep(World world)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `a_security_profile_name(String securityOperationName)`
  define a security profile
  `void`
  `a_security_profile_with_file_name(String fileName)`
  define a security profile
  `void`
  `fail_upload_security_profile()`
  `void`
  `has_full_access()`
  `void`
  `has_not_permission(String permission)`
  `void`
  `has_permission(String permission)`
  `void`
  `success_upload_security_profile()`
  `void`
  `update_security_profile_by_query(String queryFilename, Integer statusCode)`

  ### Methods inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `checkOperationStatus, runInVitamThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SecurityProfileStep

    public SecurityProfileStep(World world)

- ## Method Details

  - ### a_security_profile_with_file_name

    @Given("^un profile de s\u00e9curit\u00e9 nomm\u00e9 (.*)$") public void a_security_profile_with_file_name(String fileName)
    define a security profile
    Parameters:
      `fileName` - name of a security profile

  - ### success_upload_security_profile

    @Then("^j\'importe ce profile de s\u00e9curit\u00e9 en succ\u00e8s") public void success_upload_security_profile() throws IOException, VitamClientException, AccessExternalClientException, InvalidParseOperationException
    Throws:
      `IOException`
      `VitamClientException`
      `AccessExternalClientException`
      `InvalidParseOperationException`

  - ### fail_upload_security_profile

    @Then("^j\'importe ce profile de s\u00e9curit\u00e9 en \u00e9chec") public void fail_upload_security_profile() throws VitamClientException, IOException, AccessExternalClientException, InvalidParseOperationException
    Throws:
      `VitamClientException`
      `IOException`
      `AccessExternalClientException`
      `InvalidParseOperationException`

  - ### a_security_profile_name

    @Given("^un profile de s\u00e9curit\u00e9 ayant pour nom (.*)$") public void a_security_profile_name(String securityOperationName)
    define a security profile
    Parameters:
      `securityOperationName` - name of a security profile

  - ### update_security_profile_by_query

    @When("^je modifie le profile de s\u00e9curit\u00e9 avec le fichier de requ\u00eate suivant (.*) le statut de la requ\u00eate est (.*)$") public void update_security_profile_by_query(String queryFilename, Integer statusCode) throws VitamClientException, IOException, InvalidParseOperationException, InvalidCreateOperationException
    Throws:
      `VitamClientException`
      `IOException`
      `InvalidParseOperationException`
      `InvalidCreateOperationException`

  - ### has_permission

    @Then("^le profile de s\u00e9curit\u00e9 contient la permission (.*)$") public void has_permission(String permission) throws AccessExternalClientException, InvalidParseOperationException, VitamClientException, InvalidCreateOperationException
    Throws:
      `AccessExternalClientException`
      `InvalidParseOperationException`
      `VitamClientException`
      `InvalidCreateOperationException`

  - ### has_not_permission

    @Then("^le profile de s\u00e9curit\u00e9 ne contient pas la permission (.*)$") public void has_not_permission(String permission) throws AccessExternalClientException, InvalidParseOperationException, VitamClientException, InvalidCreateOperationException
    Throws:
      `AccessExternalClientException`
      `InvalidParseOperationException`
      `VitamClientException`
      `InvalidCreateOperationException`

  - ### has_full_access

    @Then("^le profile de s\u00e9curit\u00e9 a toutes les permissions$") public void has_full_access() throws InvalidParseOperationException, VitamClientException, InvalidCreateOperationException
    Throws:
      `InvalidParseOperationException`
      `VitamClientException`
      `InvalidCreateOperationException`